--[[
Do not run zombie.get_baseline_lore(), this does nothing on game load. 
Run the above function in DefinitiveZombies.lua
--]]
--local UTILS = require("DZ_Utils")
local Climate = require("Climate")

-- initialise the Zombie "Class"
local climate_daylight = Climate.new()

-- Update some of its variables
climate_daylight:set_module_name('Definitive Zombies Climate Daylight')
climate_daylight:set_sandbox_prefix('DZ_climateDaylight')


function climate_daylight:get_current_interval()
    -- Get the current value of the climate
    return getClimateManager():getDayLightStrength()
end

-- lua equivalent to return a "class"
return climate_daylight