--[[
Do not run zombie.get_baseline_lore(), this does nothing on game load. 
Run the above function in DefinitiveZombies.lua
--]]
--local UTILS = require("DZ_Utils")
local Climate = require("Climate")

-- initialise the Zombie "Class"
local climate_temperature = Climate.new()

-- Update some of its variables
climate_temperature:set_module_name('Definitive Zombies Climate Temperature')
climate_temperature:set_sandbox_prefix('DZ_climateTemperature')


function climate_temperature:get_current_interval()
    -- Get the current value of the climate
    return getClimateManager():getTemperature()
end

-- lua equivalent to return a "class"
return climate_temperature