----------------------
-- GLOBAL VARIABLES --
----------------------
local CONSTANTS = {}

function CONSTANTS.initialise()
    -- Definitive Zombies options 
    CONSTANTS.update_interval = getSandboxOptions():getOptionByName("DZ.UpdateInterval"):getValue()
    CONSTANTS.reroll_attempts = getSandboxOptions():getOptionByName("DZ.RerollAttempts"):getValue()
    CONSTANTS.enable_debug = getSandboxOptions():getOptionByName("DZ.EnableDebug"):getValue()
    CONSTANTS.enable_speed = getSandboxOptions():getOptionByName("DZ.EnableSpeed"):getValue()
    CONSTANTS.enable_strength = getSandboxOptions():getOptionByName("DZ.EnableStrength"):getValue()
    CONSTANTS.enable_toughness = getSandboxOptions():getOptionByName("DZ.EnableToughness"):getValue()
    CONSTANTS.enable_cognition = getSandboxOptions():getOptionByName("DZ.EnableCognition"):getValue()
    CONSTANTS.enable_memory = getSandboxOptions():getOptionByName("DZ.EnableMemory"):getValue()
    CONSTANTS.enable_sight = getSandboxOptions():getOptionByName("DZ.EnableSight"):getValue()
    CONSTANTS.enable_hearing = getSandboxOptions():getOptionByName("DZ.EnableHearing"):getValue()
    
    CONSTANTS.sandbox_neutral_modifier = 7
    -- 
    CONSTANTS.zombies = {}
    table.insert(CONSTANTS.zombies, "zombie_sprinters")
    table.insert(CONSTANTS.zombies, "zombie_fast_shamblers")
    table.insert(CONSTANTS.zombies, "zombie_shamblers")
    table.insert(CONSTANTS.zombies, "zombie_custom_a")
    table.insert(CONSTANTS.zombies, "zombie_custom_b")
    table.insert(CONSTANTS.zombies, "zombie_custom_c")
    
    CONSTANTS.climates = {}
    table.insert(CONSTANTS.climates, "climate_daylight")
    table.insert(CONSTANTS.climates, "climate_time")
    table.insert(CONSTANTS.climates, "climate_entropy")
    table.insert(CONSTANTS.climates, "climate_temperature")
end

return CONSTANTS

--[[ HOW TO ADD A CUSTOM CLIMATE
--]]

